# -*- coding: utf-8 -*-
"""
Created on 10.3. 2019
Simulator Regelkreis 
@author: philippsen
"""

import numpy as np
import control
from   control.matlab import *
from matplotlib.pyplot import *
import matplotlib.pyplot as plt

#plt.gcf().clear() # löscht den alten Plot

G = tf(1,[30,31,10, 1]) # % Standard-Regelstrecke
KR = 1.0;   Tn = 7.0
R = tf([KR*Tn, KR*1],[Tn, 0]) # PI-Rregler

G0 = R*G    # offene Kreis
Gw = feedback(G0, 1) #   Kreis
Gy = feedback(R,G)  # Stellgröße

xx, tt = control.matlab.step(Gw)
yy, tt = control.matlab.step(Gy)
plt.plot(tt,xx,tt,yy)
plt.grid()
plt.show()
plt.figure()
mag, phase, w = control.matlab.bode(G0)
control.rlocus(G0)
plt.grid() 
